The Random\IntervalBoundary Enum

- « Random\Randomizer::__unserialize

- Random\Engine »

- PHP Manual
- Random
- The Random\IntervalBoundary Enum

# The Random\IntervalBoundary Enum

(PHP 8 >= 8.3.0)

## Introduction

The Random\IntervalBoundary enum specifies whether an interval includes the boundary values within the set of values lying in the interval.

## Enum synopsis

enum Random\IntervalBoundary
{
case ClosedOpen ; // A right-open interval. The lower boundary is included in the interval, the upper boundary is not.
case ClosedClosed ; // A closed interval. Both boundary values are included in the interval.
case OpenClosed ; // A left-open interval. The upper boundary is included in the interval, the lower boundary is not.
case OpenOpen ; // An open interval. Neither boundary value is included in the interval.
}